Attribute VB_Name = "globals"
'Pre-lit vertex shader
Public Const Lit_FVF = (D3DFVF_XYZ Or D3DFVF_DIFFUSE Or D3DFVF_SPECULAR Or D3DFVF_TEX1)

'Pre-lit Vertex type
Public Type LITVERTEX
    X As Single
    Y As Single
    Z As Single
    color As Long
    Specular As Long
    tU As Single
    tV As Single
End Type

'Handy Constants
Public Const pi As Single = 3.14159265358979     'Or something
Public Const EPSILON = 0.01                      'Very small number close to zero
Public Const FOV = pi / 4                        'Field of View
Public Const Rads = pi / 180                     'Mul by rads to convert degrees to rads
Public Const Degrees = 180 / pi                  'Mul by degrees to convert rads to degrees
Public Const AspectRatio = 0.75                  '640 / 480 = 0.75 = 800 / 600 = 1024 / 768
'Some Colours
Public Const clWHITE As Long = &HFFFFFF
Public Const clSHADOW As Long = &H9A9A9A

'Thanks to Jack Hoxley for this helper function
Public Function MakeVector(X As Single, Y As Single, Z As Single) As D3DVECTOR
    MakeVector.X = X
    MakeVector.Y = Y
    MakeVector.Z = Z
End Function

'More thanks goes Hoxley's way
Public Function CreateLitVertex(X As Single, Y As Single, Z As Single, Diffuse As Long, Specular As Long, tU As Single, tV As Single) As LITVERTEX
        CreateLitVertex.X = X
        CreateLitVertex.Y = Y
        CreateLitVertex.Z = Z
        CreateLitVertex.color = Diffuse
        CreateLitVertex.Specular = Specular
        CreateLitVertex.tU = tU
        CreateLitVertex.tV = tV
End Function
